gpo.zugaina.org

Search Portage & Overlays:

dev-python/psycopg2cffi

Implementation of the psycopg2 module using cffi. Compatible with Psycopg 2.5.

Screenshots

  • psycopg2cffi-2.9.0
    ~amd64 ~x86
    python_targets_pypy3 python_targets_python3_8 python_targets_python3_9 python_targets_python3_10

    View      Download      Browse     License: LGPL-3+   
  • psycopg2cffi-2.9.0
    ~amd64
    test python_targets_pypy3 python_targets_python3_8 python_targets_python3_9 python_targets_python3_10

    View      Download      Browse     License: LGPL-3+   
    Overlay: guru
  • psycopg2cffi-2.8.1-r2
    ~amd64 ~arm64 ~x86
    python_targets_python3_9 python_targets_python3_10

    View      Download      Browse     License: LGPL-3+   
    Overlay: pentoo

Runtime Dependencies

psycopg2cffi-2.9.0





dev-python/setuptools[python_targets_pypy3
      (-)
?
,python_targets_python3_8
      (-)
?
,python_targets_python3_9
      (-)
?
,python_targets_python3_10
      (-)
?
]

python_targets_pypy3?
      ( >=dev-python/pypy3-7.3.7-r1:0= )

python_targets_python3_8?
      ( >=dev-lang/python-3.8.12_p1-r1:3.8 )

python_targets_python3_9?
      ( >=dev-lang/python-3.9.9-r1:3.9 )

python_targets_python3_10?
      ( >=dev-lang/python-3.10.0_p1-r1:3.10 )

psycopg2cffi-2.9.0

dev-db/postgresql:*




dev-python/six[python_targets_pypy3
      (-)
?
,python_targets_python3_8
      (-)
?
,python_targets_python3_9
      (-)
?
,python_targets_python3_10
      (-)
?
]




virtual/python-cffi[python_targets_pypy3
      (-)
?
,python_targets_python3_8
      (-)
?
,python_targets_python3_9
      (-)
?
,python_targets_python3_10
      (-)
?
]

python_targets_pypy3?
      ( >=dev-python/pypy3-7.3.7:0= )

python_targets_python3_8?
      ( dev-lang/python:3.8 )

python_targets_python3_9?
      ( dev-lang/python:3.9 )

python_targets_python3_10?
      ( dev-lang/python:3.10 )





>=dev-lang/python-exec-2:=[python_targets_pypy3
      (-)
?
,python_targets_python3_8
      (-)
?
,python_targets_python3_9
      (-)
?
,python_targets_python3_10
      (-)
?
]

psycopg2cffi-2.8.1-r2


python_targets_python3_9?
      ( dev-lang/python:3.9 )

python_targets_python3_10?
      ( dev-lang/python:3.10 )



>=dev-lang/python-exec-2:=[python_targets_python3_9
      (-)
?
,python_targets_python3_10
      (-)
?
]